Skip to content

Get a bank account

GET
/v1/bank-accounts/{accountId}

Returns details for a specific bank account.

accountId
required

The bank account ID

string

Bank account details. The type field indicates the account variant.

Any of:

US bank account response

object
id
required

Unique identifier for the bank account

string
status
required
Any of:
string
Allowed value: active
accountHolderName
required

Name of the account holder

string
institution

Financial institution details

object
name
required

Name of the financial institution

string
logo

URL to institution logo

string
supportedRails
required

Payment rails available for this account

Array
label

Friendly name for the account

string
createdAt
required

When the account was created

string format: date-time
type
required
string
Allowed value: us
currency
required
string
Allowed value: USD
accountNumberLast4
required

Last 4 digits of account number

string
routingNumberLast4
required

Last 4 digits of routing number

string
accountSubtype
Any of:
string
Allowed value: checking

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string